<?php
namespace Turbosify\Repositories;

class PostRepository {
  
  public function __construct(){
    
  }
  public function create($children_post_id, $post_content){
    $data = wp_insert_post([
      'ID' => $children_post_id,
      'post_content' => $post_content
    ]);
  }
  
  public function update($children_post_id, $post_content){
    $data = wp_update_post([
      'ID' => $children_post_id,
      'post_content' => $post_content
    ]);
    return $data;
  }
  
  public function createTranslatedMetafield($input) {
    $postId = (isset($input['postId']))?esc_attr($input['postId']) : null;
    $original = (isset($input['original']))?esc_attr($input['original']) : null;
    $language = (isset($input['language']))?esc_attr($input['language']) : null;
    $children = (isset($input['children']))?esc_attr($input['children']) : null;
    $parent = (isset($input['parent']))?esc_attr($input['parent']) : null;
    if (!$postId) {
      return false;
    } 

    /** Parent **/
    if ($original == "1") {
      update_post_meta($postId, 'original', $original);
      if ($children) {
        update_post_meta($postId, 'children', $children);
      }
    }
    else {
      if ($parent) {
        update_post_meta($postId, 'parent', $parent);
      }
      if ($language) {
        update_post_meta($postId, 'language', $language);
      }
    }
    /** Children **/
    return true;
  }

  public function save(){}

  public function createReview($input){

    $totalrating = isset($input['totalrating']) ? esc_attr($input['totalrating']) : null;
    $totalreview = isset($input['totalreview']) ? esc_attr($input['totalreview']) : null;
    $fivestar = isset($input['fivestar']) ? esc_attr($input['fivestar']) : null;
    $fourstar = isset($input['fourstar']) ? esc_attr($input['fourstar']) : null;
    $threestar = isset($input['threestar']) ? esc_attr($input['threestar']) : null;
    $twostar = isset($input['twostar']) ? esc_attr($input['twostar']) : null;
    $onestar = isset($input['onestar']) ? esc_attr($input['onestar']) : null;
    $cmt1 = isset($input['cmt1']) ? sanitize_text_field($input['cmt1']) : null;
    $cmt2 = isset($input['cmt2']) ? sanitize_text_field($input['cmt2']) : null;
    $viewmore = isset($input['viewmore']) ? esc_url_raw($input['viewmore']) : null;
    $postId = isset($input['postId']) ? esc_attr($input['postId']) : null;

    if ($postId) {
      update_post_meta($postId, 'totalrating', $totalrating);
      update_post_meta($postId, 'totalreview', $totalreview);
      update_post_meta($postId, 'fivestar', $fivestar);
      update_post_meta($postId, 'fourstar', $fourstar);
      update_post_meta($postId, 'threestar', $threestar);
      update_post_meta($postId, 'twostar', $twostar);
      update_post_meta($postId, 'onestar', $onestar);
      update_post_meta($postId, 'cmt1', $cmt1);
      update_post_meta($postId, 'cmt2', $cmt2);
      update_post_meta($postId, 'viewmore', $viewmore);
      return true;
    } 
    return false;

  }

}  