<?php

namespace Turbosify\Routes;

use Turbosify\Controllers\TranslateController;
use Turbosify\Controllers\PostController;
use Turbosify\Controllers\CorewebvitalsController;
use Turbosify\Controllers\ReviewController;

class Admin
{
    protected $translateController;

    protected $postController;

    protected $corewebvitalsController;

    protected $reviewController;


    public function __construct()
    {   
        /** Translate Backend **/
        /** 1. List posts **/
        $this->postController = new PostController();
        add_action('wp_ajax_translatexpress_list_post', [$this->postController, 'list']);
        /** 2. Save translated post**/
        $this->translateController = new TranslateController();
        add_action('wp_ajax_translatexpress_save_post', [$this->translateController, 'save']);

        /** Core web vitals Backend **/
        /** 1. List posts, re-use on translate **/
        /** 2. Cache specific post**/
        $this->corewebvitalsController = new CorewebvitalsController();
        add_action('wp_ajax_translatexpress_optimize_post', [$this->postController, 'index']);

        /** Reviews Backend, just save data as post metadata **/
        $this->reviewController = new ReviewController();
        add_action('wp_ajax_turbosify_add_review', [$this->reviewController, 'save']);
    }
}
