import './global.css';
import {Guideline} from "./components/apps/guideline.jsx";
import {Switcher} from "./components/i18n/switcher.jsx";
import {TranslatePage} from "./components/translate/index.jsx";
import {ReviewsPage} from "./components/reviews/index.jsx";
import {CoreWebVitalsPage} from "./components/corewebvitals/index.jsx";
import { useEffect, useState } from 'react';

import {QuickActionReview} from "./components/reviews/quickAction.jsx";
import {QuickActionCoreWebVitals} from "./components/corewebvitals/quickAction.jsx";
import {QuickActionTranslate} from  "./components/translate/quickAction.jsx";

// import "./assets/turbosify.css";
import "./css/checkbox.css";
// import "./css/metronic.css";
import "./css/spinner.css";
import "./css/shopify_button.css";

import {ShopifyButton} from "./components/polaris/shopifyButton";

function App() {
	const [page,setPage] = useState(null);
	const [language,setLanguage] = useState('en');
	const handleTranslate = (event) => { setLanguage(event) }
	useEffect(() => {
		console.warn('changing ',page)
	},[page])
	return (
		<>  
		<Switcher translate={handleTranslate} fixed="true"/>
        
		{ page === null ? <>
		<Guideline lang={language}/>
		<QuickActionTranslate lang={language} quickActionTranslate={(event) => setPage(event)}/>
		<QuickActionReview quickActionReview={(event) => setPage(event)}/>
		<QuickActionCoreWebVitals lang={language} quickActionCoreWebVitals={(event) => setPage(event)}/>
		<div style={{height:"30px"}}></div>
		</> 
		: page === 'translate' ? <TranslatePage lang={language} setPageClick={ (event) => setPage(event)}/> 
		: page === 'reviews' ? <ReviewsPage lang={language} setPageClick={ (event) => setPage(event)}/> 
		: page === 'corewebvitals' ? <CoreWebVitalsPage lang={language} setPageClick={ (event) => setPage(event)}/> : null
		}

		<ShopifyButton color="#007a5c"/>
		</>

	);
}

export default App;
