import { Button } from "../polaris/button";
import { Badge } from "../polaris/badge";
import { Spinner } from "../polaris/spinner";
import flag_us from "../flags/us.svg"
export function ItemList({items,click,buttonName,template}) {
  if (!items) {
    return <div className="wp-w-[20px] wp-mx-auto"><Spinner/></div>
  }
  const handleSingleClick = (value) => {
    click(value)
  }

  return (<div style={{
    backgroundColor:"white",
    borderTop:"solid 1px #f1f1f1",
    borderLeft:"solid 1px #f1f1f1",
    borderRight:"solid 1px #f1f1f1",
    borderBottom:"solid 1px #d6d6d6",
    borderRadius:"15px",
    paddingTop:"20px"
  }}>
  {items.map((item, index) => (
    <div key={index} style={{
      // backgroundColor: index % 2 == 0 ? "#fbfbfb" : "white",
      paddingLeft:"0",paddingRight:"0",width:"100%"}}>
      <div style={{display:"flex",paddingBottom:"5px",paddingTop:"5px"}} role="row-split">
        <div style={{margin:"10px",width:"150px"}}>
        { template && template === 'review' && item.review === true
        ? <Badge status="success">Review</Badge> 
        : template && template === 'review' && item.review === false || template && template === 'review' && !item.review
        ? <Badge>Not yet</Badge> : null 
        }

        { template && template === 'translate' && item.translate 
        ? 
        <Badge status={item.translate.translate !== false ? "success" : null }>Translated</Badge>
        : null 
        }
        
        </div>
        {Object.keys(item).map((key,index) => (
          item[key].length > 5 ?
          <>
          <div
            style={{alignSelf:"center",padding:"0 10px",width:"180px"}}
            key={index}
            >
            { String(item[key]).length < 100 ? <div style={{cursor:"pointer"}}>{item[key]}</div> : null }
          </div>
          </> : null 
        ))}

        { template && template === 'translate' && item.translate.language[0] === 'en'
        ? 
        <div style={{alignSelf:"center"}}>
          <img src={flag_us} style={{height:"15px"}}/>
        </div>
        : <div></div> 
        }
        <div style={{marginRight:"10px",marginLeft:"auto",alignSelf:"center",width:"100px"}}>
          <Button click={ () => handleSingleClick(index)}>{buttonName}</Button>
        </div>
      </div>
      <hr style={{width:"100%"}}/>
      </div>
  ))}

  <div style={{float:"right",display:"flex",margin:"10px"}}>
    <div style={{
      padding:"4px",
      width:"30px",
      backgroundColor:"white",
      borderRadius:"8px",
      marginRight:"4px",
      borderTop:"solid 1px #f1f1f1",
      borderLeft:"solid 1px #f1f1f1",
      borderRight:"solid 1px #f1f1f1",
      borderBottom:"solid 1px #d6d6d6"
      }}>
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path fillRule="evenodd" d="M6.75 5.75a.75.75 0 0 0-1.5 0v8.5a.75.75 0 0 0 1.5 0v-8.5Zm7.796.514a.75.75 0 1 0-1.092-1.028l-4 4.25a.75.75 0 0 0 0 1.028l4 4.25a.75.75 0 1 0 1.092-1.028l-3.516-3.736 3.516-3.736Z"/></svg>
    </div>
    <div style={{
      padding:"4px",
      width:"30px",
      backgroundColor:"white",
      borderRadius:"8px",
      borderTop:"solid 1px #f1f1f1",
      borderLeft:"solid 1px #f1f1f1",
      borderRight:"solid 1px #f1f1f1",
      borderBottom:"solid 1px #d6d6d6"
    }}>
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path fillRule="evenodd" d="M5.454 13.736a.75.75 0 1 0 1.092 1.028l4-4.25a.75.75 0 0 0 0-1.028l-4-4.25a.75.75 0 1 0-1.092 1.028l3.516 3.736-3.516 3.736Zm9.296-7.986a.75.75 0 0 0-1.5 0v8.5a.75.75 0 0 0 1.5 0v-8.5Z"/></svg>
    </div>
  </div>
  <div style={{clear:"both"}}></div>
    
    </div>);
}
