import { Button } from "../polaris/button";
import { Badge } from "../polaris/badge";
import { Spinner } from "../polaris/spinner";

export function MetronicList({items,click,buttonName,template}) {
  if (!items) {
    return <div className="wp-w-[20px] wp-mx-auto"><Spinner/></div>
  }
  const handleSingleClick = (value) => {
    click(value)
  }
  return (<>
  <div class="wp-bg-white wp-rounded-xl">
          <div class="card-header">
           <h3 class="card-title">
            Projects
           </h3>
           <div class="menu" data-menu="true">
            <div class="menu-item menu-item-dropdown" data-menu-item-offset="0, 10px" data-menu-item-placement="bottom-end" data-menu-item-toggle="dropdown" data-menu-item-trigger="click|lg:click">
             <button class="menu-toggle btn btn-sm btn-icon btn-light btn-clear">
              <i class="ki-filled ki-dots-vertical">
              </i>
             </button>
             <div class="menu-dropdown menu-default w-full max-w-[175px]" data-menu-dismiss="true">
              <div class="menu-item">
               <a class="menu-link" href="html/demo1/account/home/settings-plain.html">
                <span class="menu-icon">
                 <i class="ki-filled ki-add-files">
                 </i>
                </span>
                <span class="menu-title">
                 Add
                </span>
               </a>
              </div>
              <div class="menu-item">
               <a class="menu-link" href="html/demo1/account/members/import-members.html">
                <span class="menu-icon">
                 <i class="ki-filled ki-file-down">
                 </i>
                </span>
                <span class="menu-title">
                 Import
                </span>
               </a>
              </div>
              <div class="menu-item menu-item-dropdown" data-menu-item-offset="-15px, 0" data-menu-item-placement="right-start" data-menu-item-toggle="dropdown" data-menu-item-trigger="click|lg:hover">
               <div class="menu-link">
                <span class="menu-icon">
                 <i class="ki-filled ki-file-up">
                 </i>
                </span>
                <span class="menu-title">
                 Export
                </span>
                <span class="menu-arrow">
                 <i class="ki-filled ki-right text-3xs">
                 </i>
                </span>
               </div>
               <div class="menu-dropdown menu-default w-full max-w-[125px]">
                <div class="menu-item">
                 <a class="menu-link" href="html/demo1/account/home/settings-sidebar.html">
                  <span class="menu-title">
                   PDF
                  </span>
                 </a>
                </div>
                <div class="menu-item">
                 <a class="menu-link" href="html/demo1/account/home/settings-sidebar.html">
                  <span class="menu-title">
                   CVS
                  </span>
                 </a>
                </div>
                <div class="menu-item">
                 <a class="menu-link" href="html/demo1/account/home/settings-sidebar.html">
                  <span class="menu-title">
                   Excel
                  </span>
                 </a>
                </div>
               </div>
              </div>
              <div class="menu-item">
               <a class="menu-link" href="html/demo1/account/security/privacy-settings.html">
                <span class="menu-icon">
                 <i class="ki-filled ki-setting-3">
                 </i>
                </span>
                <span class="menu-title">
                 Settings
                </span>
               </a>
              </div>
             </div>
            </div>
           </div>
          </div>
          <div class="card-table scrollable-x-auto">
           <table class="table text-right">
            <thead>
             <tr>
              <th class="text-left min-w-52 !font-normal !text-gray-700">
               Project Name
              </th>
              <th class="min-w-40 !font-normal !text-gray-700">
               Progress
              </th>
              <th class="min-w-32 !font-normal !text-gray-700">
               People
              </th>
              <th class="min-w-32 !font-normal !text-gray-700">
               Due Date
              </th>
              <th class="w-[30px]">
              </th>
             </tr>
            </thead>
            <tbody>
             
             
             
             <tr>
              <td class="text-left">
               <a class="text-sm font-medium text-gray-900 hover:text-primary" href="#">
                Widget Supply Agreement
               </a>
              </td>
              <td>
               <div class="progress progress-success">
                <div class="progress-bar" style={{width:"100%"}}>
                </div>
               </div>
              </td>
              <td>
               <div class="flex justify-end shrink-0">
                <div class="flex -space-x-2">
                 <div class="flex">
                  <img class="hover:z-5 relative shrink-0 rounded-full ring-1 ring-light-light size-6" src="assets/media/avatars/300-6.png"/>
                 </div>
                 <div class="flex">
                  <img class="hover:z-5 relative shrink-0 rounded-full ring-1 ring-light-light size-6" src="assets/media/avatars/300-23.png"/>
                 </div>
                 <div class="flex">
                  <img class="hover:z-5 relative shrink-0 rounded-full ring-1 ring-light-light size-6" src="assets/media/avatars/300-12.png"/>
                 </div>
                 <div class="flex">
                  <span class="relative inline-flex items-center justify-center shrink-0 rounded-full ring-1 font-semibold leading-none text-3xs size-6 text-primary-inverse ring-primary-light bg-primary">
                   +1
                  </span>
                 </div>
                </div>
               </div>
              </td>
              <td class="text-sm font-medium text-gray-700">
               5 May, 2024
               <i class="ki-outline ki-notepad-edit">
                      </i>
              </td>
              <td class="text-left">
               <div class="menu" data-menu="true">
                <div class="menu-item menu-item-dropdown" data-menu-item-offset="0, 10px" data-menu-item-placement="bottom-end" data-menu-item-toggle="dropdown" data-menu-item-trigger="click|lg:click">
                 <button class="menu-toggle btn btn-sm btn-icon btn-light btn-clear">
                  <i class="ki-filled ki-dots-vertical">
                  </i>
                 </button>
                 <div class="menu-dropdown menu-default w-full max-w-[175px]" data-menu-dismiss="true">
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-search-list">
                     </i>
                    </span>
                    <span class="menu-title">
                     View
                    </span>
                   </a>
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-file-up">
                     </i>
                    </span>
                    <span class="menu-title">
                     Export
                    </span>
                   </a>
                  </div>
                  <div class="menu-separator">
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-pencil">
                     </i>
                    </span>
                    <span class="menu-title">
                     Edit
                    </span>
                   </a>
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-copy">
                     </i>
                    </span>
                    <span class="menu-title">
                     Make a copy
                    </span>
                   </a>
                  </div>
                  <div class="menu-separator">
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-trash">
                     </i>
                    </span>
                    <span class="menu-title">
                     Remove
                    </span>
                   </a>
                  </div>
                 </div>
                </div>
               </div>
              </td>
             </tr>
             <tr>
              <td class="text-left">
               <a class="text-sm font-medium text-gray-900 hover:text-primary" href="#">
                Project X Redesign
               </a>
              </td>
              <td>
               <div class="progress progress-primary">
                <div class="progress-bar" style={{width:"80%"}}>
                </div>
               </div>
              </td>
              <td>
               <div class="flex justify-end shrink-0">
                <div class="flex -space-x-2">
                 <div class="flex">
                  <img class="hover:z-5 relative shrink-0 rounded-full ring-1 ring-light-light size-6" src="assets/media/avatars/300-2.png"/>
                 </div>
                 <div class="flex">
                  <img class="hover:z-5 relative shrink-0 rounded-full ring-1 ring-light-light size-6" src="assets/media/avatars/300-15.png"/>
                 </div>
                 <div class="flex">
                  <img class="hover:z-5 relative shrink-0 rounded-full ring-1 ring-light-light size-6" src="assets/media/avatars/300-18.png"/>
                 </div>
                 <div class="flex">
                  <span class="relative inline-flex items-center justify-center shrink-0 rounded-full ring-1 font-semibold leading-none text-3xs size-6 text-success-inverse ring-success-light bg-success">
                   +2
                  </span>
                 </div>
                </div>
               </div>
              </td>
              <td class="text-sm font-medium text-gray-700">
               1 Feb, 2025
              </td>
              <td class="text-left">
               <div class="menu" data-menu="true">
                <div class="menu-item menu-item-dropdown" data-menu-item-offset="0, 10px" data-menu-item-placement="bottom-end" data-menu-item-toggle="dropdown" data-menu-item-trigger="click|lg:click">
                 <button class="menu-toggle btn btn-sm btn-icon btn-light btn-clear">
                  <i class="ki-filled ki-dots-vertical">
                  </i>
                 </button>
                 <div class="menu-dropdown menu-default w-full max-w-[175px]" data-menu-dismiss="true">
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-search-list">
                     </i>
                    </span>
                    <span class="menu-title">
                     View
                    </span>
                   </a>
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-file-up">
                     </i>
                    </span>
                    <span class="menu-title">
                     Export
                    </span>
                   </a>
                  </div>
                  <div class="menu-separator">
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-pencil">
                     </i>
                    </span>
                    <span class="menu-title">
                     Edit
                    </span>
                   </a>
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-copy">
                     </i>
                    </span>
                    <span class="menu-title">
                     Make a copy
                    </span>
                   </a>
                  </div>
                  <div class="menu-separator">
                  </div>
                  <div class="menu-item">
                   <a class="menu-link" href="#">
                    <span class="menu-icon">
                     <i class="ki-filled ki-trash">
                     </i>
                    </span>
                    <span class="menu-title">
                     Remove
                    </span>
                   </a>
                  </div>
                 </div>
                </div>
               </div>
              </td>
             </tr>
            </tbody>
           </table>
          </div>
          <div class="card-footer justify-center">
           <a class="btn btn-link" href="html/demo1/public-profile/projects/3-columns.html">
            All Projects
           </a>
          </div>
         </div>
  </>);
}
