import {Button} from "../polaris/button";
import {Toast} from "../polaris/toast";
import {ThumbnailImage} from "../apps/thumbnailImage";
import {BreadCrumb} from "../apps/breadCrumb";
import {PreviewSEO} from "../apps/previewSEO";
import {ItemList} from "../apps/itemList";
import {useEffect, useCallback, useState } from "react";
import {baseWordpressAjaxUrl} from "../../config/env";

import "../../css/card.css"

export function CoreWebVitalsPage({setPageClick,lang}) {
  /** Back to homepage **/
  const handleBreadCrumbCallbackHome = () => {
    setPageClick(null)
  }
  const handleBreadCrumbCallbackList = () => {
    setContent(null)
  }
  const [content,setContent] = useState(null)
  const [posts, setPosts] = useState(null);
  const handleSingleOptimize = (value) => { setContent(posts[value]) }
  const getPosts = useCallback(() => {
    // console.warn('Fetching list post page 1 ...')
    // console.log(baseWordpressAjaxUrl + 'translatexpress_list_post')
    fetch(baseWordpressAjaxUrl + 'translatexpress_list_post', {
      method: 'GET', 
      headers: {
        'Content-Type': 'application/json',
      },})
      .then(response => {
        if (!response.ok) {
          throw new Error('Network response was not ok');
        }
        return response.json(); 
      })
      .then(data => {
        console.warn(data);
        setPosts(data.data)
      })
      .catch(error => {
        console.warn('Error or Dev mode ', error);
        setPosts([
          {
              "title": "awesome plugin",
              "link": "http://localhost/?p=9",
              "content" : "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer id nisl in felis volutpat aliquam. Nam id imperdiet dolor. Sed augue ligula, dignissim sed nisl ac, egestas consequat odio. Nam vitae accumsan libero. Nunc porta risus a congue porta. Integer neque tortor, elementum et quam in, tincidunt maximus diam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras vitae felis purus. Praesent sed convallis libero, sed cursus augue. Phasellus id elit ligula. Aliquam at tellus id sem euismod varius nec mollis dolor. Sed et eleifend nunc. Sed in nibh imperdiet, lacinia felis non, malesuada justo. Aliquam id malesuada sapien, eu finibus lectus."
          },
          {
              "title": "Hello world!",
              "link": "http://localhost/?p=1",
              "content" : "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer id nisl in felis volutpat aliquam. Nam id imperdiet dolor. Sed augue ligula, dignissim sed nisl ac, egestas consequat odio. Nam vitae accumsan libero. Nunc porta risus a congue porta. Integer neque tortor, elementum et quam in, tincidunt maximus diam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras vitae felis purus. Praesent sed convallis libero, sed cursus augue. Phasellus id elit ligula. Aliquam at tellus id sem euismod varius nec mollis dolor. Sed et eleifend nunc. Sed in nibh imperdiet, lacinia felis non, malesuada justo. Aliquam id malesuada sapien, eu finibus lectus."
          }
        ]);
      });
    },[]);

  useEffect( () => {
    getPosts();
  },[]);
    return (<>

    <div className="wp-mx-auto wp-max-w-[1200px] wp-pt-10 wp-grid wp-grid-cols-2 wp-gap-4">
      <BreadCrumb showSingle={content === null ? false : true} clickHome={handleBreadCrumbCallbackHome} clickList={handleBreadCrumbCallbackList}/>
    </div>

    

    <div style={{height:"30px"}}></div>
    <label class="switch_black">
  <input type="checkbox_black"/>
  <span class="slider_black"></span>
</label>

    <div className="wp-mx-auto wp-max-w-[1200px] wp-flex wp-py-6">

      <div className="wp-pr-2 wp-w-[200px]">
        <div className="wp-mb-1">
          <Button>Announcement bar</Button>
        </div>
        <div className="wp-mb-1">
          <Button>Menu</Button>
        </div>
        <div className="wp-mb-1">
          <Button>Hero</Button>
        </div>
      </div>

      <div className="wp-bg-white wp-w-full wp-rounded-xl wp-p-4">
      <button class="button">
        <svg class="svgIcon" viewBox="0 0 384 512">
          <path
            d="M214.6 41.4c-12.5-12.5-32.8-12.5-45.3 0l-160 160c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0L160 141.2V448c0 17.7 14.3 32 32 32s32-14.3 32-32V141.2L329.4 246.6c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3l-160-160z"
          ></path>
        </svg>
      </button>


      <label class="switch">
  <span class="sun"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g fill="#ffd43b"><circle r="5" cy="12" cx="12"></circle><path d="m21 13h-1a1 1 0 0 1 0-2h1a1 1 0 0 1 0 2zm-17 0h-1a1 1 0 0 1 0-2h1a1 1 0 0 1 0 2zm13.66-5.66a1 1 0 0 1 -.66-.29 1 1 0 0 1 0-1.41l.71-.71a1 1 0 1 1 1.41 1.41l-.71.71a1 1 0 0 1 -.75.29zm-12.02 12.02a1 1 0 0 1 -.71-.29 1 1 0 0 1 0-1.41l.71-.66a1 1 0 0 1 1.41 1.41l-.71.71a1 1 0 0 1 -.7.24zm6.36-14.36a1 1 0 0 1 -1-1v-1a1 1 0 0 1 2 0v1a1 1 0 0 1 -1 1zm0 17a1 1 0 0 1 -1-1v-1a1 1 0 0 1 2 0v1a1 1 0 0 1 -1 1zm-5.66-14.66a1 1 0 0 1 -.7-.29l-.71-.71a1 1 0 0 1 1.41-1.41l.71.71a1 1 0 0 1 0 1.41 1 1 0 0 1 -.71.29zm12.02 12.02a1 1 0 0 1 -.7-.29l-.66-.71a1 1 0 0 1 1.36-1.36l.71.71a1 1 0 0 1 0 1.41 1 1 0 0 1 -.71.24z"></path></g></svg></span>
  <span class="moon"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512"><path d="m223.5 32c-123.5 0-223.5 100.3-223.5 224s100 224 223.5 224c60.6 0 115.5-24.2 155.8-63.4 5-4.9 6.3-12.5 3.1-18.7s-10.1-9.7-17-8.5c-9.8 1.7-19.8 2.6-30.1 2.6-96.9 0-175.5-78.8-175.5-176 0-65.8 36-123.1 89.3-153.3 6.1-3.5 9.2-10.5 7.7-17.3s-7.3-11.9-14.3-12.5c-6.3-.5-12.6-.8-19-.8z"></path></svg></span>   
  <input type="checkbox" class="input"/>
  <span class="slider"></span>
</label>

      </div>

    </div>  


    <div class="card">
  <div class="bg"></div>
  <div class="blob"></div>
</div>
    


    {/* { content === null ? <>
    <div style={{height:"30px"}}></div>

    <div className="wp-mx-auto wp-max-w-[1000px]">
      <ItemList items={posts} click={handleSingleOptimize} buttonName="Optimize"/>
    </div>  
    
    <div style={{height:"30px"}}></div> </> :
    <>
    <div className="wp-mx-auto wp-max-w-[1000px] wp-py-10 wp-grid wp-grid-cols-2 wp-gap-4">

      <div className="wp-p-0 wp-rounded-xl wp-grid wp-grid-cols-1 wp-relative">
        <PreviewSEO title={content.title} desc={content.content} link="yourpreviewsite.com"/>
      </div>

      <div className="wp-p-4 wp-bg-white wp-rounded-xl wp-grid wp-grid-cols-1">
        <div>
          <label className="">Title translation</label>
          <input type="text" placeholder="" className="wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">Url translation</label>
          <input type="text" placeholder="" className="wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">Post translation</label>
          <input type="text" placeholder="" className="wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">Description translation</label>
          <input type="text" placeholder="" className="wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">Image translation</label>
          <input type="text" placeholder="" className="wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <Button>Save</Button>
        </div>
      </div>

    </div>

    </> } */}
    
    <Toast status>loading</Toast>
    </>);
  }
  