import {Button} from "../polaris/button";
import {Toast} from "../polaris/toast";
import {BreadCrumb} from "../apps/breadCrumb";
import {ItemList} from "../apps/itemList";
import {useEffect, useCallback, useState, useRef} from "react";
import {baseWordpressAjaxUrl} from "../../config/env"

import {QuickActionReview} from  "./quickAction.jsx";

export function ReviewsPage({setPageClick}) {
  /** Back to homepage **/
  const handleBreadCrumbCallbackHome = () => {
    setPageClick(null)
  }
  const handleBreadCrumbCallbackList = () => {
    setContent(null)
  }
  const [content,setContent] = useState(null)
  const [posts, setPosts] = useState(null);
  const [loading,setLoading] = useState(false)

  const [totalrating,setTotalrating] = useState(4.8);
  const [totalreview,setTotalreview] = useState(182)
  const [fivestar,setFivestar] = useState("87%");
  const [fourstar,setFourstar] = useState("9%");
  const [threestar,setThreestar] = useState("3%");
  const [twostar,setTwostar] = useState("0%");
  const [onestar,setOnestar] = useState("1%");
  let savepostid = useRef(null)
  const [cmt1,setCmt1] = useState('Dưới quan điểm nghỉ dưỡng và chữa lành thì đây là địa điểm phù hợp bới sự yên tĩnh, trong lành, không quá xa phố cổ Hội An (20 phút đi xe oto) và gần biển. Mình đi gia đình chọn phòng đôi thông nhau có bếp (nhưng không có dụng cụ nấu ăn). Giá phòng khá ổn. Phòng sạch, đẹp và trang thiết bị mới rất sạch sẽ. Hạn chế là view không thật đẹp. Lưu ý là không để sẵn đồ vệ sinh cá nhân (nhưng nếu cần có thể nói lễ tân cung cấp). Bãi tắm khá hoang sơ, có ghế thư giãn, phù hợp cho những ai thích bình yên. Đồ ăn sáng ít lựa chọn với 1 món chính giá 100k/khách kèm theo "buffet" là một số loại bánh và cafe hoặc trà. Nhân viên thân thiện. Khách nước ngoài là chủ yếu.')
  const [cmt2,setCmt2] = useState('Nhân viên thân thiện, biển sạch, phòng rộng rãi, sạch sẽ. Có xe đạp miễn phí. Spa chuyên nghiệp. Có dịch vụ giặt là Tại khách sạn có cho thuê xe máy rất tiện lợi để di chuyển vào phố cổ. Nhân viên giới thiệu mình những món ăn địa phương rất ngon. Nhất định mình sẽ quay lại nơi này👍')

  const [viewmore,setViewmore] = useState("https://www.google.com/travel/search?q=ha%20ocean%20front%20h%E1%BB%99i%20an&g2lb=4814050%2C4874190%2C4893075%2C4899571%2C4899572%2C4965990%2C4969803%2C72277293%2C72302247%2C72317059%2C72406588%2C72414906%2C72420596%2C72421566%2C72471280%2C72472051%2C72473841%2C72481459%2C72485658%2C72499705%2C72602734%2C72614662%2C72616120%2C72619927%2C72647020%2C72648289%2C72658035%2C72671093%2C72686036%2C72729615%2C72749231%2C72794407%2C72795874&hl=vi-VN&gl=vn&cs=1&ssta=1&ts=CAEaRwopEicyJTB4MzE0MjBkNTQ5ZWYwNTI1MToweDQ3MWE0OTZlNmY3NDA3MDISGhIUCgcI6A8QDBgYEgcI6A8QDBgZGAEyAhAA&qs=CAEyE0Nnb0lnbzdRLS1hdGtvMUhFQUU4AkIJCQIHdG9uSRpHQgkJAgd0b25JGkc&ap=KigKEglsbj_-LMEvQBEE4jm01RdbQBISCdyuxgXQyi9AEQTiOfhUGFtAugEHcmV2aWV3cw&ictx=111&ved=0CAAQ5JsGahcKEwjohfzFsMWJAxUAAAAAHQAAAAAQBQ");

  const handleSingleTranslate = (value) => { 
    savepostid.current = posts[value].id;
    setContent(posts[value]) 
  }

  const getPosts = useCallback(() => {
    fetch(baseWordpressAjaxUrl + 'translatexpress_list_post', {
      method: 'GET', 
      headers: {
        'Content-Type': 'application/json',
      },})
      .then(response => {
        if (!response.ok) {
          throw new Error('Network response was not ok');
        }
        return response.json(); 
      })
      .then(data => {
        console.warn(data);
        setPosts(data.data)
      })
      .catch(error => {
        console.warn('Error or Dev mode ', error);
        setPosts([
          {
              "title": "awesome plugin",
              "link": "http://localhost/?p=9",
              "id": 9,
              "content" : "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer id nisl in felis volutpat aliquam. Nam id imperdiet dolor. Sed augue ligula, dignissim sed nisl ac, egestas consequat odio. Nam vitae accumsan libero. Nunc porta risus a congue porta. Integer neque tortor, elementum et quam in, tincidunt maximus diam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras vitae felis purus. Praesent sed convallis libero, sed cursus augue. Phasellus id elit ligula. Aliquam at tellus id sem euismod varius nec mollis dolor. Sed et eleifend nunc. Sed in nibh imperdiet, lacinia felis non, malesuada justo. Aliquam id malesuada sapien, eu finibus lectus.",
              "review": false
          },
          {
              "title": "Hello world!",
              "link": "http://localhost/?p=1",
              "id": 1,
              "content" : "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer id nisl in felis volutpat aliquam. Nam id imperdiet dolor. Sed augue ligula, dignissim sed nisl ac, egestas consequat odio. Nam vitae accumsan libero. Nunc porta risus a congue porta. Integer neque tortor, elementum et quam in, tincidunt maximus diam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras vitae felis purus. Praesent sed convallis libero, sed cursus augue. Phasellus id elit ligula. Aliquam at tellus id sem euismod varius nec mollis dolor. Sed et eleifend nunc. Sed in nibh imperdiet, lacinia felis non, malesuada justo. Aliquam id malesuada sapien, eu finibus lectus.",
              "review" : true
          }
        ]);
      });
    },[]);

    const postReview = useCallback(() => {
      setLoading(true)
      fetch(baseWordpressAjaxUrl + 'turbosify_add_review', {
        method: 'POST', 
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({
          totalrating,
          totalreview,
          fivestar,
          fourstar,
          threestar,
          twostar,
          onestar,
          cmt1,
          cmt2,
          viewmore,
          postId : savepostid.current,
        }),
      })
        .then(response => {
          if (!response.ok) {
            throw new Error('Network response was not ok');
          }
          return response.json(); 
        })
        .then(data => {
          console.warn(data);
        })
        .catch(error => {
          console.warn('Error or Dev mode ', error);
        });
        setTimeout(function(){
          setLoading(false);
        },1200);
      },[totalrating,
        totalreview,
        fivestar,
        fourstar,
        threestar,
        twostar,
        onestar,
        cmt1,
        cmt2,
        viewmore]);

  useEffect( () => {
    getPosts();
  },[]);
    return (<>

    <div className="wp-mx-auto wp-max-w-[1000px] wp-pt-10 wp-grid wp-grid-cols-2 wp-gap-4">
        <BreadCrumb showSingle={content === null ? false : true} clickHome={handleBreadCrumbCallbackHome} clickList={handleBreadCrumbCallbackList}/>
    </div>

    <QuickActionReview/>

    <Toast status={loading}/>

    { content === null ? <>
    <div style={{height:"30px"}}></div>

    <div className="wp-mx-auto wp-max-w-[1000px]">
      <ItemList items={posts} click={handleSingleTranslate} buttonName="Review" template="review"/>
    </div>  
    
    <div style={{height:"30px"}}></div> </> :
    <>
    <div className="wp-mx-auto wp-max-w-[1000px] wp-py-10 wp-grid wp-grid-cols-2 wp-gap-4">

      <div className="wp-p-0 wp-rounded-xl wp-grid wp-grid-cols-1 wp-relative">
        <div className="wp-w-full wp-flex">
          <div className="wp-w-1/4 wp-block">
            <span className="wp-font-semibold wp-text-4xl">{totalrating}</span>
            <div className="wp-flex">
              <svg xmlns="http://www.w3.org/2000/svg" className="" aria-hidden="true" width="24" height="24" fill="#fde047" viewBox="0 0 24 24">
                  <path d="M13.849 4.22c-.684-1.626-3.014-1.626-3.698 0L8.397 8.387l-4.552.361c-1.775.14-2.495 2.331-1.142 3.477l3.468 2.937-1.06 4.392c-.413 1.713 1.472 3.067 2.992 2.149L12 19.35l3.897 2.354c1.52.918 3.405-.436 2.992-2.15l-1.06-4.39 3.468-2.938c1.353-1.146.633-3.336-1.142-3.477l-4.552-.36-1.754-4.17Z"/>
              </svg>
              <svg xmlns="http://www.w3.org/2000/svg" className="" aria-hidden="true" width="24" height="24" fill="#fde047" viewBox="0 0 24 24">
                  <path d="M13.849 4.22c-.684-1.626-3.014-1.626-3.698 0L8.397 8.387l-4.552.361c-1.775.14-2.495 2.331-1.142 3.477l3.468 2.937-1.06 4.392c-.413 1.713 1.472 3.067 2.992 2.149L12 19.35l3.897 2.354c1.52.918 3.405-.436 2.992-2.15l-1.06-4.39 3.468-2.938c1.353-1.146.633-3.336-1.142-3.477l-4.552-.36-1.754-4.17Z"/>
              </svg>
              <svg xmlns="http://www.w3.org/2000/svg" className="" aria-hidden="true" width="24" height="24" fill="#fde047" viewBox="0 0 24 24">
                  <path d="M13.849 4.22c-.684-1.626-3.014-1.626-3.698 0L8.397 8.387l-4.552.361c-1.775.14-2.495 2.331-1.142 3.477l3.468 2.937-1.06 4.392c-.413 1.713 1.472 3.067 2.992 2.149L12 19.35l3.897 2.354c1.52.918 3.405-.436 2.992-2.15l-1.06-4.39 3.468-2.938c1.353-1.146.633-3.336-1.142-3.477l-4.552-.36-1.754-4.17Z"/>
              </svg>
              <svg xmlns="http://www.w3.org/2000/svg" className="" aria-hidden="true" width="24" height="24" fill="#fde047" viewBox="0 0 24 24">
                  <path d="M13.849 4.22c-.684-1.626-3.014-1.626-3.698 0L8.397 8.387l-4.552.361c-1.775.14-2.495 2.331-1.142 3.477l3.468 2.937-1.06 4.392c-.413 1.713 1.472 3.067 2.992 2.149L12 19.35l3.897 2.354c1.52.918 3.405-.436 2.992-2.15l-1.06-4.39 3.468-2.938c1.353-1.146.633-3.336-1.142-3.477l-4.552-.36-1.754-4.17Z"/>
              </svg>
              <svg xmlns="http://www.w3.org/2000/svg" className="" aria-hidden="true" width="24" height="24" fill="#fde047" viewBox="0 0 24 24">
                  <path d="M13.849 4.22c-.684-1.626-3.014-1.626-3.698 0L8.397 8.387l-4.552.361c-1.775.14-2.495 2.331-1.142 3.477l3.468 2.937-1.06 4.392c-.413 1.713 1.472 3.067 2.992 2.149L12 19.35l3.897 2.354c1.52.918 3.405-.436 2.992-2.15l-1.06-4.39 3.468-2.938c1.353-1.146.633-3.336-1.142-3.477l-4.552-.36-1.754-4.17Z"/>
              </svg>
            </div>
            <span className="wp-text-base">{totalreview} reviews</span>
          </div>
          <div className="wp-w-3/4 wp-block">
            <div className="wp-flex">
              <span className="wp-w-1/5 wp-self-center">5 sao</span>
              <div className="wp-w-full wp-bg-gray-200 wp-rounded-full wp-h-2.5 wp-self-center">
                <div className="wp-bg-yellow-400 wp-h-2.5 wp-rounded-full" style={{width:fivestar}}></div>
              </div>
            </div>
            <div className="wp-flex">
              <span className="wp-w-1/5 wp-self-center">4 sao</span>
              <div className="wp-w-full wp-bg-gray-200 wp-rounded-full wp-h-2.5 wp-self-center">
                <div className="wp-bg-yellow-400 wp-h-2.5 wp-rounded-full" style={{width:fourstar}}></div>
              </div>
            </div>
            <div className="wp-flex">
              <span className="wp-w-1/5 wp-self-center">3 sao</span>
              <div className="wp-w-full wp-bg-gray-200 wp-rounded-full wp-h-2.5 wp-self-center">
                <div className="wp-bg-yellow-400 wp-h-2.5 wp-rounded-full" style={{width:threestar}}></div>
              </div>
            </div>
            <div className="wp-flex">
              <span className="wp-w-1/5 wp-self-center">2 sao</span>
              <div className="wp-w-full wp-bg-gray-200 wp-rounded-full wp-h-2.5 wp-self-center">
                <div className="wp-bg-yellow-400 wp-h-2.5 wp-rounded-full" style={{width:twostar}}></div>
              </div>
            </div>
            <div className="wp-flex">
              <span className="wp-w-1/5 wp-self-center">1 sao</span>
              <div className="wp-w-full wp-bg-gray-200 wp-rounded-full wp-h-2.5 wp-self-center">
                <div className="wp-bg-yellow-400 wp-h-2.5 wp-rounded-full" style={{width:onestar}}></div>
              </div>
            </div>
            
            <div className="wp-w-full wp-text-sm wp-border wp-border-2 wp-rounded-xl wp-mt-3 wp-p-4 wp-flex">
              <div className="wp-w-1/3 wp-flex wp-p-1">
                <svg fill="black" className="wp-mt-1 wp-w-5 wp-h-5 wp-text-primary-700 dark:wp-text-primary-500" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill-rule="evenodd" d="M12 2c-.791 0-1.55.314-2.11.874l-.893.893a.985.985 0 0 1-.696.288H7.04A2.984 2.984 0 0 0 4.055 7.04v1.262a.986.986 0 0 1-.288.696l-.893.893a2.984 2.984 0 0 0 0 4.22l.893.893a.985.985 0 0 1 .288.696v1.262a2.984 2.984 0 0 0 2.984 2.984h1.262c.261 0 .512.104.696.288l.893.893a2.984 2.984 0 0 0 4.22 0l.893-.893a.985.985 0 0 1 .696-.288h1.262a2.984 2.984 0 0 0 2.984-2.984V15.7c0-.261.104-.512.288-.696l.893-.893a2.984 2.984 0 0 0 0-4.22l-.893-.893a.985.985 0 0 1-.288-.696V7.04a2.984 2.984 0 0 0-2.984-2.984h-1.262a.985.985 0 0 1-.696-.288l-.893-.893A2.984 2.984 0 0 0 12 2Zm3.683 7.73a1 1 0 1 0-1.414-1.413l-4.253 4.253-1.277-1.277a1 1 0 0 0-1.415 1.414l1.985 1.984a1 1 0 0 0 1.414 0l4.96-4.96Z" clip-rule="evenodd"></path></svg>
                <div className="wp-rounded-xl wp-p-1 wp-font-bold wp-text-sm">Verified user</div>
              </div>
              <div className="wp-w-full">
                <div className="wp-mb-3 wp-flex">
                  <p className="wp-px-1 wp-text-xs">Commented on </p>
                  <img className="wp-w-4" src="https://www.gstatic.com/images/branding/product/1x/googleg_48dp.png"/>
                  <p className="wp-px-1 wp-text-xs">Google</p>
                </div>
                <span>
                {cmt1} ... <a href={viewmore} className="wp-text-sm" target="_blank">View more</a>
                </span>
              </div>
            </div>

            <div className="wp-w-full wp-text-sm wp-border wp-border-2 wp-rounded-xl wp-mt-3 wp-p-4 wp-flex">
              <div className="wp-w-1/3 wp-flex wp-p-1">
                <svg fill="black" className="wp-mt-1 wp-w-5 wp-h-5 wp-text-primary-700 dark:wp-text-primary-500" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill-rule="evenodd" d="M12 2c-.791 0-1.55.314-2.11.874l-.893.893a.985.985 0 0 1-.696.288H7.04A2.984 2.984 0 0 0 4.055 7.04v1.262a.986.986 0 0 1-.288.696l-.893.893a2.984 2.984 0 0 0 0 4.22l.893.893a.985.985 0 0 1 .288.696v1.262a2.984 2.984 0 0 0 2.984 2.984h1.262c.261 0 .512.104.696.288l.893.893a2.984 2.984 0 0 0 4.22 0l.893-.893a.985.985 0 0 1 .696-.288h1.262a2.984 2.984 0 0 0 2.984-2.984V15.7c0-.261.104-.512.288-.696l.893-.893a2.984 2.984 0 0 0 0-4.22l-.893-.893a.985.985 0 0 1-.288-.696V7.04a2.984 2.984 0 0 0-2.984-2.984h-1.262a.985.985 0 0 1-.696-.288l-.893-.893A2.984 2.984 0 0 0 12 2Zm3.683 7.73a1 1 0 1 0-1.414-1.413l-4.253 4.253-1.277-1.277a1 1 0 0 0-1.415 1.414l1.985 1.984a1 1 0 0 0 1.414 0l4.96-4.96Z" clip-rule="evenodd"></path></svg>
                <div className="wp-rounded-xl wp-p-1 wp-font-bold wp-text-sm">Verified user</div>
              </div>
              <div className="wp-w-full">
                <div className="wp-mb-3 wp-flex">
                  <p className="wp-px-1 wp-text-xs">Commented on </p>
                  <img className="wp-w-4" src="https://www.gstatic.com/images/branding/product/1x/googleg_48dp.png"/>
                  <p className="wp-px-1 wp-text-xs">Google</p>
                </div>
                <span>
                  {cmt2} ... <a href={viewmore} className="wp-text-sm" target="_blank">View more</a>
                </span>
              </div>
            </div>

          </div>
        </div>
      </div>

      <div className="wp-p-4 wp-bg-white wp-rounded-xl wp-grid wp-grid-cols-1">
        <div>
          <label className="">Total rating (ex: 4.8/5)</label>
          <input type="text" onChange={
            (event) => setTotalrating(event.target.value)
          } placeholder={totalrating} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">Total reviews (ex: 182 reviews)</label>
          <input type="text" onChange={
            (event) => setTotalreview(event.target.value)
          } placeholder={totalreview} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">5 stars</label>
          <input type="text" onChange={
            (event) => setFivestar(event.target.value)
          } placeholder={fivestar} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">4 stars</label>
          <input type="text" onChange={
            (event) => setFourstar(event.target.value)
          } placeholder={fourstar} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">3 stars</label>
          <input type="text" onChange={
            (event) => setThreestar(event.target.value)
          } placeholder={threestar} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">2 stars</label>
          <input type="text" onChange={
            (event) => setTwostar(event.target.value)
          } placeholder={twostar} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <label className="">1 stars</label>
          <input type="text" onChange={
            (event) => setOnestar(event.target.value)
          } placeholder={onestar} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>

        <div>
          <label className="">Comment 1</label>
          <input type="text" onChange={
            (event) => setCmt1(event.target.value)
          } placeholder={cmt1} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>

        <div>
          <label className="">Comment 2</label>
          <input type="text" onChange={
            (event) => setCmt2(event.target.value)
          } placeholder={cmt2} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>

        <div>
          <label className="">View more button</label>
          <input type="text" onChange={
            (event) => setViewmore(event.target.value)
          } placeholder={viewmore} className="wp-px-2 wp-border wp-rounded-xl wp-h-[35px] wp-w-full wp-mb-3" />
        </div>
        <div>
          <Button click={postReview}>Save</Button>
        </div>
      </div>

    </div>

    </> }
    
    </>);
  }
  