import {Button} from "../polaris/button";
import booster from "../../assets/booster.png";
import star from "../../assets/star.svg";

export function QuickActionReview({quickActionReview}) {
  const handleClick = () => {
    quickActionReview('reviews')
  }
  return (
    <>
    <div className="wp-my-3 wp-p-4 wp-rounded-xl wp-grid wp-grid-cols-1 md:wp-flex wp-mx-auto wp-max-w-[1000px] wp-text-white wp-py-10" style={{backgroundColor: 'rgb(0, 122, 92)' }}>
      
      <div className="wp-block wp-w-1/5">
        <img src={booster} className="wp-mx-auto wp-mb-3 md:wp-md-0 wp-w-full" />
      </div>
      <div className="wp-w-full wp-grid wp-grid-cols-1 md:wp-flex wp-pl-3">
        <div className="wp-w-full md:wp-w-2/3">
          <h3 className="wp-text-lg wp-font-bold wp-mb-3 wp-text-white">Build professional review page</h3>
          <hr />
        <p className="wp-mt-3 wp-text-sm">
        The Google Reviews feature in our app allows you to seamlessly showcase customer feedback directly on your website.</p>
        <p className="wp-mt-3 wp-text-sm">
         This builds trust and enhances your brand's credibility, as potential customers can view genuine reviews from satisfied users. </p>
         <p className="wp-mt-3 wp-text-sm">
        By highlighting positive experiences, you can boost engagement, drive conversions, and improve your overall online reputation.
        </p>
      </div>
      
      <div className="wp-pl-3 wp-w-full md:wp-w-1/3">
        <div className="wp-flex wp-mt-3">
          <img
            className="wp-rounded-md wp-mr-2 wp-w-[40px]"
            src="https://i.guim.co.uk/img/media/f1459b35b58255f2ee15e63e34e3b04a07e8825e/296_0_1328_797/master/1328.jpg?width=1200&amp;height=900&amp;quality=85&amp;auto=format&amp;fit=crop&amp;s=1eb990c46b69ec542c810983c73b782c"
            alt="Groot"
          />
          <div>
            <h3 className="wp-text-base wp-font-bold">Groot</h3>
            <div className="wp-flex">
              <svg fill="black" className="wp-w-5 wp-h-5 wp-text-primary-700 dark:wp-text-primary-500" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
                <path fillRule="evenodd" d="M12 2c-.791 0-1.55.314-2.11.874l-.893.893a.985.985 0 0 1-.696.288H7.04A2.984 2.984 0 0 0 4.055 7.04v1.262a.986.986 0 0 1-.288.696l-.893.893a2.984 2.984 0 0 0 0 4.22l.893.893a.985.985 0 0 1 .288.696v1.262a2.984 2.984 0 0 0 2.984 2.984h1.262c.261 0 .512.104.696.288l.893.893a2.984 2.984 0 0 0 4.22 0l.893-.893a.985.985 0 0 1 .696-.288h1.262a2.984 2.984 0 0 0 2.984-2.984V15.7c0-.261.104-.512.288-.696l.893-.893a2.984 2.984 0 0 0 0-4.22l-.893-.893a.985.985 0 0 1-.288-.696V7.04a2.984 2.984 0 0 0-2.984-2.984h-1.262a.985.985 0 0 1-.696-.288l-.893-.893A2.984 2.984 0 0 0 12 2Zm3.683 7.73a1 1 0 1 0-1.414-1.413l-4.253 4.253-1.277-1.277a1 1 0 0 0-1.415 1.414l1.985 1.984a1 1 0 0 0 1.414 0l4.96-4.96Z" clipRule="evenodd"></path>
              </svg>
              <p className="wp-text-sm wp-self-center">Verified purchase</p>
            </div>
          </div>
        </div>
        <p className="wp-my-2">I am Groot, I am Groot ...</p>
        <div className="wp-flex">
          <img src={star} />
          <img src={star} />
          <img src={star} />
          <img src={star} />
          <img src={star} />
        </div>
        <p className="wp-text-sm">November 18 2023 at 15:35</p>
        <div className="wp-mt-2">
          <Button click={handleClick}>Config review</Button>
        </div>
      </div>
    </div>
  </div>
    </>);
}
