import {Button} from "../polaris/button";
import leaf from "../../assets/leaf.svg";
import robot from "../../assets/robot.svg";
import getTranslation from "../i18n/translate"

export function QuickActionTranslate({quickActionTranslate,lang}) {
  const handleClick = () => {
    quickActionTranslate('translate')
  }
  return (
    <>
    <div className="wp-my-3 wp-p-4 wp-rounded-xl wp-grid wp-grid-cols-1 md:wp-grid-cols-3 md:wp-flex wp-mx-auto wp-max-w-[1000px] wp-py-10 wp-gap-2 wp-bg-white">
      <div className="wp-bg-[#f3f3f3] wp-text-black wp-rounded-[15px] wp-p-4">
        <h3 className="wp-text-lg wp-font-bold wp-mb-3 wp-text-black wp-border-b wp-pb-2 wp-text-lg">{getTranslation(lang, 't1')}</h3>
        <div className="wp-flex">
          <img src={leaf} className="wp-w-[30px] wp-mr-3"/>
          <p className="wp-mb-3 wp-text-black wp-text-sm">{getTranslation(lang, 't2')}</p>
        </div>
      </div>
      <div className="wp-bg-[#f3f3f3] wp-text-black wp-rounded-[15px] wp-p-4" style={{marginTop:"-30px",marginBottom:"-30px"}}>
        <h3 className="wp-text-lg wp-font-bold wp-mb-3 wp-text-black wp-border-b wp-pb-2 wp-text-center wp-text-lg">{getTranslation(lang, 't3')}</h3>
        <p className="wp-mb-3 wp-text-black wp-text-sm">{getTranslation(lang, 't4')}</p>
        <div>
          <Button click={handleClick}>{getTranslation(lang, 't7')}</Button>
        </div>
        <img src={robot} className="wp-mx-auto"/>
      </div>
      <div className="wp-bg-[#f3f3f3] wp-text-black wp-rounded-[15px] wp-p-4">
        <h3 className="wp-text-lg wp-font-bold wp-mb-3 wp-text-black wp-border-b wp-pb-2 wp-text-lg">{getTranslation(lang, 't5')}</h3>
        <p className="wp-mb-3 wp-text-black wp-text-sm">{getTranslation(lang, 't6')}</p>
      </div>
    </div>
    </>);
}
