import { useQuery } from 'react-query';
import axios from '../config/axios';

export const getCountryInfoByCode = async (code) =>
	axios.get(`https://api-bdc.net/data/country-info?code=${ code }&key=bdc_b3bd7b053f6b47acb3fec6c58885ad2a`);

export const useCountryInfo = (code, options = {}) => {
	const queryKey = ['GET_COUNTRY_INFO', code];

	return useQuery(queryKey, () => getCountryInfoByCode(code), {
		...options,
		enabled: !!code,
	});
};
