import { useMutation, useQuery } from 'react-query';
import axios from '../config/axios';
import { baseWordpressAjaxUrl } from '../config/env';

const getCurrentCurrency = async () => {
	return axios.get(`${ baseWordpressAjaxUrl }`, {
		params: {
			action: 'turbotranslate_current_currency',
		}
	});
};

export const useCurrentCurrency = () => {
	const queryKey = ['GET_CURRENT_CURRENCY'];
	return useQuery(queryKey, getCurrentCurrency);
};

const getConvertCurrency = async (from) => {
	return await axios.get(`https://v6.exchangerate-api.com/v6/1a2f8f797a8d72a9fa9b8b6e/latest/${ from }`);
};


export const useConvertCurrency = () => {
	const queryKey = ['GET_CONVERT_CURRENCY'];
	return useMutation(queryKey, getConvertCurrency);
};
